package Hwork_3_Ch3.task4;
/*
Переписать задачу 7 домашнего задания 2 часть 2 в стиле ООП.
● Нужно как минимум завести классы Dog и Participant.
● Нужно реализовать метод, определяющий трех победителей согласно
условию.
● Можно добавлять любые дополнительные методы и классы.
Условие задачи:

Раз в год Петя проводит конкурс красоты для собак. К сожалению, система
хранения участников и оценок неудобная, а победителя определить надо. В
первой таблице в системе хранятся имена хозяев, во второй - клички животных,
в третьей — оценки трех судей за выступление каждой собаки. Таблицы
связаны между собой только по индексу. То есть хозяин i-ой собаки указан в i-ой
строке первой таблицы, а ее оценки — в i-ой строке третьей таблицы. Нужно
помочь Пете определить топ 3 победителей конкурса.

На вход подается число N — количество участников конкурса. Затем в N
строках переданы имена хозяев. После этого в N строках переданы клички
собак. Затем передается матрица с N строк, 3 вещественных числа в каждой —
оценки судей. Победителями являются три участника, набравшие
максимальное среднее арифметическое по оценкам 3 судей. Необходимо
вывести трех победителей в формате “Имя хозяина: кличка, средняя оценка”.
Гарантируется, что среднее арифметическое для всех участников будет
различным.
 */
public class Main {
    public static void main (String[] args) {

        //Вводим участников
        Participant participant1 = new Participant("Иван");
        Participant participant2 = new Participant("Николай");
        Participant participant3 = new Participant("Анна");
        Participant participant4 = new Participant("Дарья");

        Rating.to_ParticipantList(participant1, participant2, participant3, participant4);

        //Вводим собак
        Dog dog1 = new Dog("Жучка");
        Dog dog2 = new Dog("Кнопка");
        Dog dog3 = new Dog("Цезарь");
        Dog dog4 = new Dog("Добряш");

        Rating.to_DogList(dog1, dog2, dog3, dog4);

        //Вводим оценки
        Rating.set_Rating(7, 6, 7, 8, 8, 7, 4, 5, 6, 9, 9, 9);

        Rating.sred_Rating();
























    }
}
